%define name		mutt
%define pversion	1.3.27
%define version		%{pversion}i
%define release		4mdk
%define prefix		%{_prefix}
%define title		Mutt
%define summary		%{title} - A text mode mail user agent
%define longtitle	%{summary}
%define group		Networking/Mail
%define section		%{group}
%define iconname	%{name}.png

Name:		%{name}
Summary:	%{summary}
Version:	%{version}
Release:	%{release}
License:	GPL
Epoch:		1
Group:		%{group}
URL:		http://www.mutt.org/
Source:		ftp://ftp.mutt.org/pub/mutt/%{name}-%{version}.tar.bz2
Source2:	http://jblosser.firinn.org/pub/config/mutt/%{name}-32.png.bz2
Source3:	http://www.math.fu-berlin.de/~guckes/mutt/%{name}-48.png.bz2

Patch2:		%{name}-1.3.15-tmpdef.patch.bz2

# To make use of bzip2/gzip files
Source10:	%{name}-Muttrc_compressed_folders.foot.bz2
# Patch mutt to use bzip2/gzip files
Patch10:	http://www.spinnaker.de/mutt/compressed/patch-%{pversion}.rr.compressed.1.bz2
# Allow non root users to build the cfp patched version of mutt

Patch11:	mutt-cfp.sgid.patch.bz2

Requires:	smtpdaemon, urlview, bzip2
BuildRequires:  libncurses-devel, openssl-devel, libbzip2_1-devel
BuildRequires:	automake, autoconf, ImageMagick

# For SASL Support
#Requires:	libsasl7
#BuildRequires:	libsasl7-devel

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mutt is a text mode mail user agent. Mutt supports color, threading,
arbitrary key remapping, and a lot of customization.

You should install mutt if you've used mutt in the past and you prefer
it, or if you're new to mail programs and you haven't decided which
one you're going to use.


%prep
%setup -q -n %{name}-%{pversion}
# Enable compressed folder
%patch10 -p1 -b .cfp
# Non root users build-ability
%patch11 -p1 -b .cfp-sgid
%patch2 -p1 -b .tmpdef

%build
%configure --with-sharedir=%{_sysconfdir} \
	--with-docdir=%{_docdir}/%{name}-%{version} \
	--enable-pop \
	--enable-imap \
	--disable-warnings \
	--with-slang \
	--disable-domain \
	--enable-nfs-fix \
	--with-charmaps \
	--with-ssl  \
	--enable-compressed
#	--with-sasl \

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%makeinstall sharedir=%{buildroot}/%{_sysconfdir} docdir=%{buildroot}%{_datadir}/doc/%{name}-%{version}

# This is for the menu and icons
mkdir -p %{buildroot}{%{_menudir},%{_iconsdir},%{_miconsdir},%{_liconsdir}}
bzip2 -cd %{SOURCE2} | convert - -geometry 16 %{buildroot}%{_miconsdir}/%{iconname}
bzip2 -cd %{SOURCE2} > %{buildroot}%{_iconsdir}/%{iconname}
bzip2 -cd %{SOURCE3} > %{buildroot}%{_liconsdir}/%{iconname}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):command="%{_bindir}/mutt" needs="text" \
	section="%{section}" title="%{title}" \
	icon="%{iconname}" \
	longtitle="%{longtitle}"
EOF

# Append changes to Muttrc to make use of bzip2/gzip files
bzip2 -cd %{SOURCE10} >> %{buildroot}%{_sysconfdir}/Muttrc

# Fix some bad references in the man pages
perl -pi -e 's|/usr/local/bin|%{_bindir}|g' %{buildroot}%{_mandir}/*/*
perl -pi -e 's|/usr/local/doc|%{_docdir}|g' %{buildroot}%{_mandir}/*/*

# And also for /etc/Muttrc ...
perl -pi -e "s@$RPM_BUILD_ROOT@@g" %{buildroot}%_sysconfdir/*

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/Muttrc
%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/*
%doc %{_mandir}/*/*
%{_bindir}/pgpring
%{_bindir}/pgpewrap
%{_bindir}/mutt
%{_bindir}/muttbug
%{_bindir}/flea
%attr(2755, root, mail) %{_bindir}/mutt_dotlock
%{_menudir}/%{name}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
%{_miconsdir}/%{iconname}

%changelog
* Sat Feb 02 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.27i-4mdk
- Really remove the BuildRoot in /etc/Muttrc  (strange we already have
  a perl regexp inside to fix that before).
  
* Tue Jan 29 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.27i-3mdk
- Back to slang again.  The reasoning is that mutt breaks with a terminfo
  entry with color support and when ncurses is enabled. By using slang,
  color doesn't break, and mono is fine as well.
  
* Mon Jan 28 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.27i-2mdk
- Back to ncurses - finally.

* Thu Jan 24 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.27i-1mdk
- 1.3.27i
- Throw away unused SOURCE files - ie. SOURCE21..23, the old mdk icons
- Convert icons to PNG

* Mon Jan 21 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.26i-2mdk
- Changed the Requires and the BuildRequires to reflect our slang change.

* Mon Jan 21 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.26i-1mdk
- Bump to 1.3.26i -- all new ready for use.

* Sat Jan 19 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.25i-3mdk
- Compile mutt with slang, it doesn't show up on the rxvt terminal properly,
  I'm not sure why it doesn't work with ncurses but it works with slang.

* Sat Jan 12 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.25i-2mdk
- Back to mktemp().

* Fri Jan 10 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.25i-1mdk
- 1.3.25i which fixes a buffer overflow.

* Wed Dec 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.24i-1mdk
- The all new 1.3.24i.
- Use the safer mkstemp ().

* Fri Nov 02 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.23.1i-1mdk
- The all-new 1.3.23.1i, along with the latest compressed folders patch.

* Sun Oct 21 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.22.1i-4mdk
- Remove the buildroot off /etc/Muttrc.

* Fri Oct  5 2001 DindinX <odin@mandrakesoft.com> 1.3.22.1i-3mdk
- rpmlint fixes

* Sun Sep 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.22.1i-2mdk
- Rebuild for lost local copy of mutt.

* Sun Sep 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.22.1i-1mdk
- Roll out a new mutt.

* Thu Aug 23 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.3.21i-1mdk
- New version
- Removed (Build)Requires on SASL, as we don't use SASL
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - Finally use Epoch tag.
  
* Mon Jun 11 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.19i-1mdk
- Bump up to 1.3.19i.
- Small hack to make it build (I really have no idea why it does not
  build on the cluster).

* Sun Jun 03 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.18i-4mdk
- Remove SASL support for now (askwar).

* Mon May 21 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.3.18i-3mdk
- Enable Compressed Folders Patch
- Nicer icons IMHO - Mandrake icons are still included, though
- Merge SPEC with Geoffrey's SPEC of 1.3.18i-2mdk
- Updated BuildRequires: and Requires:
- Build with SASL support

* Sat May 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.18-2mdk
- Fix file locations inside the man-pages.

* Sat May 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.18-1mdk
- Enable the locales fix in build time and update to 1.3.18.

* Thu Apr 26 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.3.17i-1.5mdk
- As usual - enable bzip2 and nicer icons
- Update buildrequires
- Re-enable builing as non-root, or rather non-mail group member

* Sun Apr 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.17i-1mdk
- Make 1.3.17i available for everyone.

* Wed Mar  7 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.3.15i-3mdk
- make sample.muttrc enable ~/tmp as tmpdir by default (not /tmp)

* Fri Feb 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.15i-2mdk
- Put a %%dir around the document directory.
- Include the flea utility.

* Tue Feb 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.15i-1mdk
- Put 1.3.15i out for cooker folks.

* Sat Feb 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.14i-1mdk
- Update to 1.3.14 which fixes some major problems with CJK.

* Tue Dec  5 2000 DindinX <odin@mandrakesoft.com> 1.2.5i-7mdk
- requires libncurses5
- buildrequires libncurses5-devel
- use %%make macro

* Sun Dec  3 2000  Daouda Lo <daouda@mandrakesoft.com> 1.2.5i-6mdk
- add color support
- add ssl support
- correct icons handling

* Wed Oct 04 2000 Daouda Lo <daouda@mandrakesoft.com> 1.2.5i-5mdk
- provide icons for menu

* Tue Aug 29 2000 DindinX <odin@mandrakesoft.com> 1.2.5i-4mdk
- Fix the usage of %%lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.5-3mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.2.5i-2mdk
- some of us like docs and samples so put them back in
- fix docdir
- more macros

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.5i-1mdk
- new version
- macrosifications
- build for the BM

* Fri Jul 07 2000 DindinX <odin@mandrakesoft.com> 1.2.4i-2mdk
- merge Geoffrey Lee's spec changes
- remove /etc/mimes.types from %files which caused a conflit w/ mailcap

* Fri Jul 07 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.4i-1mdk
- new release (This version fixes a couple of problems present in 1.2.2, and
  one problem leading to crashes whose fix was missing from 1.2.3.)

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 1.2.2i-3mdk
- put the Serial: tag back

* Fri Jun 23 2000 DindinX <odin@mandrakesoft.com> 1.2.2i-2mdk
- fix the build as user the right way :)

* Thu Jun 22 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2.2i-1mdk
- 1.2.2i
- removed %defattr which was causing readonly inboxes
- build with ncurses instead of slang to get colors working properly
- removed SSL support (won't compile due to keymaps bug)
- fixed build

* Tue Jun 20 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2i-2mdk
- enable charmaps in configure
- removed --enable-compressed (no patch)

* Mon Jun 19 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2i-1mdk
- 1.2i
- enable SSL and NFS fixes in configure

* Wed Apr 27 2000 DindinX <odin@mandrakesoft.com> 1.0.1i-7mdk
- Recompile fix.
- fix the color scheme.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-6mdk
- By default active colors.
- Believe me or not, fix menu and %post.
- Use find_lang macros for locales.

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-5mdk
- Fix another chmousucks in menu (yes me too i can believe it).

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-4mdk
- Fix chmousucks in menu.
- Add icons in menu.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-3mdk
- Fix menu entry (don't only cp the meny entry from your debian box
  dindin ;)).

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 1.0.1i-2mdk
- Specs and group fixes
- Added menu support

* Sun Feb 06 2000 Andre Steden <andre@steden.de>
- 1.0.1
- add compressed folders patch
- add colour patch

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.0.

* Wed Oct  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.0pre3.

* Mon Aug 09 1999 Daouda LO <daouda@mandrakesoft.com>
 -0.95.7
 -added manual.sgml in documents.

* Sun May 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix bug of locales.

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.
- update to 0.99.5.

* Mon Mar  8 1999 Bill Nottingham <notting@redhat.com>
-  update to 0.95.4 - fixes a /tmp race

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- the RETURN OF WMCONFIG! Aiyeee!

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- 0.95.3 - fixes mailcap handling

* Mon Jan  4 1999 Bill Nottingham <notting@redhat.com>
- 0.95.1

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- 0.95

* Fri Jul 31 1998 Bill Nottingham <notting@redhat.com>
- backport some 0.94.2 security fixes
- fix un-setgid
- update to 0.93.2

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- security fix
- update to 0.93.1.
- turn off setgid mail.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.91.1

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to mutt-0.89.1

* Thu Oct 16 1997 Otto Hammersmith <otto@redhat.com>
- Updated to mutt 0.85.
- added wmconfig entries.
- removed mime.types

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>
- Rebuilt to insure all sources were fresh and patches were clean.

* Wed Aug 6 1997 Manoj Kasichainula <manojk@io.com>
 - Initial version for 0.81(e)
